Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.cms.impl
Class CMSFactoryImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.EFactoryImpl
                              org.eclipse.ohf.ihe.common.ebxml._3._0.cms.impl.CMSFactoryImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, CMSFactory

    public class CMSFactoryImpl

extends org.eclipse.emf.ecore.impl.EFactoryImpl
implements CMSFactory

An implementation of the model Factory.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.cms.CMSFactory
`eINSTANCE`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`CMSFactoryImpl()` Creates an instance of the factory.

Method Summary
`org.eclipse.emf.ecore.EObject` | `create(org.eclipse.emf.ecore.EClass eClass)`
`CatalogContentRequestType` | `createCatalogContentRequestType()`
`CatalogContentResponseType` | `createCatalogContentResponseType()`
`ContentManagementServiceRequestType` | `createContentManagementServiceRequestType()`
`ContentManagementServiceResponseType` | `createContentManagementServiceResponseType()`
`DocumentRoot` | `createDocumentRoot()`
`ValidateContentRequestType` | `createValidateContentRequestType()`
`ValidateContentResponseType` | `createValidateContentResponseType()`
`CMSPackage` | `getCMSPackage()`
`static CMSPackage` | `getPackage()` Deprecated.
`static CMSFactory` | `init()` Creates the default factory implementation.

Methods inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl
`basicSetEPackage, convertToString, createFromString, eGet, eInverseAdd, eInverseRemove, eIsSet, eSet, eUnset, getEPackage, setEPackage`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotation, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eContents, eCrossReferences, eIsProxy, eProxyURI, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Constructor Detail

### CMSFactoryImpl

    public CMSFactoryImpl()

  Creates an instance of the factory.

Method Detail

### init

    public static CMSFactory init()

  Creates the default factory implementation.

### create

    public org.eclipse.emf.ecore.EObject create(org.eclipse.emf.ecore.EClass eClass)

  Specified by:
    `create` in interface `org.eclipse.emf.ecore.EFactory`
  Overrides:
    `create` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

### createCatalogContentRequestType

    public CatalogContentRequestType createCatalogContentRequestType()

  Specified by:
    `createCatalogContentRequestType` in interface `CMSFactory`
  Returns:
    a new object of class 'Catalog Content Request Type'.

### createCatalogContentResponseType

    public CatalogContentResponseType createCatalogContentResponseType()

  Specified by:
    `createCatalogContentResponseType` in interface `CMSFactory`
  Returns:
    a new object of class 'Catalog Content Response Type'.

### createContentManagementServiceRequestType

    public ContentManagementServiceRequestType createContentManagementServiceRequestType()

  Specified by:
    `createContentManagementServiceRequestType` in interface `CMSFactory`
  Returns:
    a new object of class 'Content Management Service Request Type'.

### createContentManagementServiceResponseType

    public ContentManagementServiceResponseType createContentManagementServiceResponseType()

  Specified by:
    `createContentManagementServiceResponseType` in interface `CMSFactory`
  Returns:
    a new object of class 'Content Management Service Response Type'.

### createDocumentRoot

    public DocumentRoot createDocumentRoot()

  Specified by:
    `createDocumentRoot` in interface `CMSFactory`
  Returns:
    a new object of class 'Document Root'.

### createValidateContentRequestType

    public ValidateContentRequestType createValidateContentRequestType()

  Specified by:
    `createValidateContentRequestType` in interface `CMSFactory`
  Returns:
    a new object of class 'Validate Content Request Type'.

### createValidateContentResponseType

    public ValidateContentResponseType createValidateContentResponseType()

  Specified by:
    `createValidateContentResponseType` in interface `CMSFactory`
  Returns:
    a new object of class 'Validate Content Response Type'.

### getCMSPackage

    public CMSPackage getCMSPackage()

  Specified by:
    `getCMSPackage` in interface `CMSFactory`
  Returns:
    the package supported by this factory.

### getPackage

    public static CMSPackage getPackage()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD